#!/bin/bash

# Always stop nut before sleep, but do not initiate powerdown for hybrid-sleep.
if [ "$1" = pre ] && ( [ "$2" = hibernate ] || [ "$2" = hybrid-sleep ] ) ; then
	/sbin/service upsd.service stop
fi
if [ "$1" = pre ] && [ "$2" = hibernate ] ; then
	# FIXME: All hibernate quirks are called in parallel. To be on a safest side, we should initiate powerdown grace period when they terminate.
	sleep 5
	if test -n "$POWERDOWNFLAG" -a -f "$POWERDOWNFLAG" ; then
		export UPSD_POWERDOWN_CONDITION=1
		/etc/init.d/upsd try-powerdown
	fi
fi
if [ "$1" = post ] && ( [ "$2" = hibernate ] || [ "$2" = hybrid-sleep ] ) ; then
	/sbin/service upsd.service start
fi
